﻿using DataSharing.SendTask;
using DataSharing.Share.Dtos;
using SqlSugar;
using System.ComponentModel;

namespace DataSharing.Province.SendTask.ProvinceOther
{
    /// <summary>
    /// 省平台其他业务待推送任务数据
    /// </summary>
    [Description("省平台其他业务待推送任务数据")]
    public class DsWaitSendTaskProvinceOther : BaseWaitSendTask
    {
        /// <summary>
        /// 组装参数
        /// </summary>
        [SugarColumn(ColumnDataType = "text", ColumnDescription = "组装参数")]
        public string RequestData { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public List<FileJson>? FileJson { get; set; }
    }
}
