﻿using DataSharing.SendTask;
using SqlSugar;
using System.ComponentModel;

namespace DataSharing.Province.SendTask.SubmitCaseRecord
{
    /// <summary>
    /// 业务汇聚-电话记录推送任务数据
    /// </summary>
    [Description("业务汇聚-电话记录推送任务数据")]
    public class DsSendTaskSubmitCaseRecord : BaseSendTask
    {
        /// <summary>
        /// 组装参数
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true, ColumnDescription = "组装参数")]
        public Share.Dtos.Province.HuiJu.SubmitCaseRecordInfo RequestData { get; set; }

        /// <summary>
        /// 待推送数据
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(Id))]
        public DsWaitSendTaskSubmitCaseRecord WaitSendTaskSubmitCaseRecord { get; set; }
    }
}
